#!/bin/bash
./slissom.pl --it 200 --gamma_aff=1.0 --theta_base 0.2 --lambda_loop=0.01 --gamma_aff=0.9 --alpha=0.0 --beta=2.0 --tau 0.5 | grep neuron0 | sed "s/neuron0//g" | awk '{print $1,$5,$6,$10,$12}' | plotdat -w li

./slissom.pl --print_isi_flag=1 --gamma_aff=0.89 --neurons=1 --input="random_pulse" --it 1000 --theta_base=0.1 --lambda_loop=0.001 --alpha=0.0 --beta=2.0 --tau 0.5 | grep isi | awk '{print $2,$3}' | plotdat -w boxes

./slissom.pl --gamma_aff=0.89 --neurons=1 --input="random_pulse" --it 300 --theta_base=0.1 --lambda_loop=0.1 --alpha=0.0 --beta=2.0 --tau 0.5 | grep neuron0 | sed "s/neuron0//g" | awk '{print $1,$6,$12}' | plotdat -w lines


# without g() transfer function on eta
./slissom.pl --gamma_aff=0.89 --neurons=1 --input="square_pulse" --it 200 --theta_base=0.2 --lambda_loop=0.01 --alpha=0.0 --beta=1.0 --tau 0.78 | grep neuron0 | awk '{print $2,$6,$7,$13}' 

./slissom.pl --gamma_aff=0.89 --neurons=1 --input="square_pulse" --it 200 --theta_base=0.25 --lambda_loop=0.215 --tau 0.89 | grep neuron0 | awk '{print $2,$6,$7,$13}' | plotdat -w linespoints

