# function [isivec] = isi(spikeseq) : return the inter-spike interval
#	vector vec (column vector).
function [vec] = isi(spikeseq)

[r,c] = size(spikeseq);

if (c!=1)
	spikeseq = spikeseq';	# make it a column vector		
	[r,c] = size(spikeseq);
endif

cur_isi = 0;
isivec  = [0];
for i=1:r
	if spikeseq(i)==0
		cur_isi++;
	else
		isivec = [isivec; cur_isi];
		cur_isi = 0;
	endif
endfor
		
vec=isivec;	

