# M = cocirc(n) : generates phi delta theta dump for cocircular organization
#	where delta varies from 1 to n.

function M = cocirc(n)

  M = zeros(73*n,3);
  for phi = 0:5:360
	for delta = 1:n
		theta = phi*2.0/180.0;
		printf("%d %d %f\n",phi,delta,theta);
	endfor
  endfor

endfunction


